* {
	font-family: Arial, Helvetica, sans-serif;
}

h1 {
	color: white;
}

h2 {
	color: white;
}

h3 {
	color: white;
}

h4 {
	color: #f0f0f0;
}

a {
	color: #ff00ff;
}

a:hover {
	color: #df00df;
}

/*a:visited {
	color: #ef00ef;
}*/

p {
	color: white;
}

body {
	background-color: #0A0A0A;
	/* background-color: #101010; */
}

footer {
	outline: 1px solid #555555;
	background-color: #272727;
	/*background-color: #2f2f2f;*/
	color: white;
	
	padding-top: 4px;
	padding-bottom: 8px;
	padding-left: 18px;
	padding-right: 18px;
}

input {
	color: black;
}

.greentext {
	color: #99FF77;
	/*color: lightgreen;*/
}

.orangetext {
	color: orange;
}

.bluetext {
	color: #7777FF;
}

.redtext {
	color: #aa0000;
}

.glowtext {
	text-shadow: 0 0 10px #ffffff, 0 0 20px #00ff00;
}

.striketext {
	text-decoration: line-through;
}

.spoilertext {
	background-color: black;
	color: black;
}

.spoilertext:hover {
	background-color: transparent;
	color: white;
}

.spoilertext a {
	text-decoration-color: black;
	background-color: black;
	color: black;
}

.spoilertext:hover a {
	text-decoration-color: #ff00ff;
	background-color: transparent;
	color: #ff00ff;
}

.theytext {
	background-color: #EFEFEF;
	color: blue;
}

.info {
	left: 80px;
	right: 80px;
	background-color: #272727;
	/*background-color: #2f2f2f;*/
	outline: 1px solid #555555;
	
	margin-top: 8px;
	
	padding-top: 4px;
	padding-bottom: 8px;
	padding-left: 28px;
	padding-right: 28px;
}

.sidebyside {
	display: flex;
	gap: 8px;
	box-sizing: border-box;
	flex-wrap: wrap;
	align-items: stretch;
}

@media (orientation: portrait) { 
	.sidebyside {
		all: unset;
		/*display: block;*/
	}
}

.banner {
	display: block;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 6px;
	margin-top: 6px;
	
	height: 100%;
	max-width: 100%;
}

.hyperlinks {
	outline: 1px solid #555555;
	background-color: #272727;
	
	padding-top: 1px;
	padding-bottom: 1px;
	padding-left: 4px;
	padding-right: 4px;
}

.medialabel {
	font-size: 13px;
	color: #818181;
	margin: 0px;
	padding: 0px;
}

.medialabel:hover {
	color: #707070;
}

.message {
	/*box-shadow: 0px 0px 8px 3px #00ff00;
	outline: 2px solid #00ff00;*/
	/*box-shadow: 0px 0px 8px 3px #ff11ff;*/
	outline: 2px solid #b000bb;
/* 	outline: 1px solid #f000ff; */
/* 	outline: 1px solid #555555; */
	background: #141414;
/* 	background: #0A0A0A; */
/* 	background: #222222; */
/* 	background: #2f2f2f; */
	min-width: 200px;
	
	padding-left: 4px;
	padding-right: 4px;
	border-radius: 8px;
	
	width: fit-content;
	
	max-width: 100%;
}

/* smartphone */
@media (orientation: portrait) { 
	.message {
		box-sizing: border-box;
		width: 100%;
	}
}

.message.softhighlight {
	outline: 1px solid red;
	box-shadow: 0px 0px 8px 3px red;
	background: #551414;
}

.message.highlighted {
	outline: 1px solid red;
	box-shadow: 0px 0px 8px 3px red;
}

.reply {
	color: red;
}

.reply:hover {
	color: #df0000;
}

.userid {
	border-radius: 8px;
	color: black;
	padding-left: 4px;
	padding-right: 4px;
}

/*.reply:hover + .message {
	background-color: blue;
	border-color: white;
}*/

.toggleImage {
	cursor: pointer;
}

.preview {
	max-width: 100%;
	width: auto;
	height: 256px;
	cursor: pointer;
}

.fullview {
	width: auto !important;
	height: auto !important;
	max-width: 100% !important;
	max-height: 100% !important;
	cursor: pointer;
}

.pending {
	width: 256px;
	height: 256px;
	cursor: default;
}

.threads {
	left: 0;
	top: 0;
	
}

.posts {
	left: 0;
	top: 0;
}

.postoptions {
	/*float: right;*/
	
	display: inline-block;
	text-decoration: none;
	outline: none;
	cursor: pointer;
	
	line-height: 16px;/*1em;*/
	width: 16px;/*1em;*/
	height: 16px;/*1em;*/
	text-align: center;
	transform: rotate(0deg);
	/*transform-origin: center;*/
	transition: transform 0.1s ease;
}

.postoptions.open {
	color: #df00df;
	transform: rotate(90deg);
}

.input {
	/*background-color: #2f2f2f;
	outline: 1px solid #555555;*/
	position: fixed;
	left: 0;
	right: 0;
	bottom: -520px;
	width: 300px;
	margin-inline: auto;
	background: #F9F9F9;
	color: white;
	padding: 1rem;
	left-padding: 8px;
	right-padding: 8px;
	border-radius: 8px;
	
	
	transition: bottom 0.33s ease;
	z-index: 1000;
}

.input.open {
	bottom: 20px;
}

.input.static {
	background-color: #2f2f2f;
	outline: 1px solid #555555;
	position: static;
	margin: 0 auto;
	margin-bottom: 8px;
	width: fit-content;
	max-width: 100%;
	box-sizing: border-box;
	overflow: hidden;
	/*border-radius: 8px;*/
}
